﻿using MotorPlantDataModels.Enums;
using MotorPlantDataModels.Models;
using MotorPlantContracts.Attributes;
namespace MotorPlantContracts.VeiwModels
{
	public class OrderViewModel : IOrderModel
	{
		[Column(title: "Номер", width: 50)]
		public int Id { get; set; }
		[Column(visible: false)]
		public int ClientId { get; set; }
		[Column(title: "Клиент", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string ClientFIO { get; set; } = string.Empty;
		[Column(visible: false)]
		public int EngineId { get; set; }
		[Column(title: "Двигатель", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string EngineName { get; set; } = string.Empty;
		[Column(title: "Количество", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public int Count { get; set; }
		[Column(title: "Сумма", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public double Sum { get; set; }
		[Column(title: "Статус", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;
		[Column(title: "Дата создания", width: 100)]
		public DateTime DateCreate { get; set; } = DateTime.Now;
		[Column(title: "Дата выполнения", width: 100)]
		public DateTime? DateImplement { get; set; }
		[Column(visible: false)]
		public int? ImplementerId { get; set; }
		[Column(title: "Исполнитель", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string? ImplementerFIO { get; set; } = string.Empty;
	}
}